<h1>WPSSO Tune WP Image Editors</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Tune WP Image Editors</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Improves the appearance of WordPress images for better click through rates from social and search sites.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>4.0.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.2.34 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.8 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>6.5.2</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>image, sharpen, imagemagick, imagick, resize</td></tr>
</table>

<h2>Description</h2>

<!-- about -->

<p><strong>Have you noticed that WordPress creates small images that are a bit "fuzzy" - nothing like the nice sharp original you uploaded?</strong></p>

<p>After resizing an image, the image must be sharpened but WordPress doesn't do any sharpening, so the resized image remains a bit "fuzzy" - not what you want for a featured image or shared image on social sites! The WPSSO Tune WP Image Editors (WPSSO TIE) add-on provides this missing WordPress image sharpened feature - it automatically applies sharpening to all JPEG images resized by the WordPress ImageMagick library.</p>

<p><strong>Compatible with all image compression / optimization plugins:</strong></p>

<p>Image sharpening is applied during the WordPress resize operation so the resulting images can still be optimized with any compression / optimization plugin.</p>

<!-- /about -->

<h3>WPSSO TIE Add-on Features</h3>

<p>Extends the features of the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a> (required plugin).</p>

<p>Applies adjustments to resized images (aka thumbnails) using ImageMagick:</p>

<ul>
<li>Enable or disable image adjustments / sharpening for resized images.</li>
<li>Uses a better compression quality of 92% (WordPress default is 82%).</li>
<li>Applies a default amount of sharpening values to all resized images.</li>
</ul>

<p>Optionally select different primary / secondary image editor(s) for WordPress:</p>

<ul>
<li>GD Only</li>
<li>GD and ImageMagick</li>
<li>ImageMagick Only</li>
<li>ImageMagick and GD (WordPress default)</li>
</ul>

<p>Optionally fine-tune the image filter priority and image adjustment options:</p>

<ul>
<li>Modify the default 'image_make_intermediate_size' filter hook priority.</li>
<li>Enable / disable contrast leveling.</li>
<li>Increase / decrease the compression quality percentage.</li>
<li>Adjust sharpening values individually (sigma, radius, amount, threshold).</li>
</ul>

<h3>WPSSO Core Required</h3>

<p>WPSSO Tune WP Image Editors (WPSSO TIE) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>, which provides complete structured data for WordPress to present your content at its best for social sites and search results – no matter how URLs are shared, reshared, messaged, posted, embedded, or crawled.</p>

<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-tune-image-editors/installation/install-the-plugin/">Install the WPSSO Tune WP Image Editors add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-tune-image-editors/installation/uninstall-the-plugin/">Uninstall the WPSSO Tune WP Image Editors add-on</a>.</li>
</ul>

